## ayatana-ido 0.4.2

=== debian/changelog ===
ayatana-ido (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + White-space cleanup.
  * debian/watch:
    + Use secure URL to obtain upstream source.
  * debian/*:
    + Fix package naming scheme of gir1.2 bin:pkg to
      make lintian and policy happy.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Dec 2017 16:21:17 +0100

ayatana-ido (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update to new upstream URL.
  * debian/control: Bump Standards-Version: to 4.1.0. No changes needed.
  * debian/{control,copyright}: Update to new upstream URL.

  * Upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 16 Sep 2017 00:37:13 +0200

ayatana-ido (0.4.0-1) experimental; urgency=medium

  * Initial release to Debian. (Closes: #863121).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 May 2017 13:27:47 +0200
