=== debian/control ===
Source: ayatana-ido
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1.1),
               gobject-introspection,
               gtk-doc-tools,
               libgirepository1.0-dev,
               libglib2.0-dev (>=2.14.0),
               libgtest-dev,
               libgtk-3-dev (>= 3.8.2-0ubuntu2),
               libx11-dev,
               libxi-dev,
               mate-common,
               valac (>= 0.16),
Standards-Version: 4.1.1
Homepage: https://github.com/AyatanaIndicators/ayatana-ido
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/ayatana-ido.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/ayatana-ido.git

Package: libayatana-ido3-0.4-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Widgets and other objects used for Ayatana Indicators
 Shared library providing extra gtk menu items for display in system
 Ayatana Indicators.
 .
 This package contains shared libraries to be used by GTK+ 3
 applications.

Package: libayatana-ido3-0.4-dev
Section: libdevel
Architecture: any
Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),
         libayatana-ido3-0.4-0 (= ${binary:Version}),
         libglib2.0-dev (>=2.14.0),
         libgtk-3-dev (>= 3.8.2-0ubuntu2),
         pkg-config,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets and other objects used for Ayatana Indicators - development files
 Shared library providing extra gtk menu items for display in system
 Ayatana Indicators
 .
 This package contains files that are needed to build GTK+ 3 applications
 with Ayatana Indicators support.

Package: gir1.2-ayatanaido3-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Breaks: gir1.2-ayatana-ido3-0.4 (<< 0.4.2-1~),
Replaces: gir1.2-ayatana-ido3-0.4 (<< 0.4.2-1~),
Depends: libayatana-ido3-0.4-0 (>= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
Description: Widgets and other objects used for Ayatana Indicators - Typelib file
 Shared library providing extra gtk menu items for display in system
 Ayatana Indicators.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for libayatana-ido3-0.1.
