## ayatana-ido 0.4.2-1+8.0trisquel1

=== debian/changelog ===
ayatana-ido (0.4.2-1+8.0trisquel1) flidas; urgency=medium

  * Backported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Mar 2020 15:18:15 +0000
