## ayatana-ido 0.4.4

=== debian/changelog ===
ayatana-ido (0.4.4-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 26 Aug 2018 18:31:57 -0700

ayatana-ido (0.4.4-1) unstable; urgency=medium

  * New upstream release (regression fix).
    - Bringe SONAME back into .pc file name. Should fix FTBFS against
      various packages build-depending on ayatana-ido.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Aug 2018 12:38:08 +0200

ayatana-ido (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (et al):
    + Rename libayatana-ido3-0.4-dev to libayatana-ido3-dev.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/copyright:
    + Use secure URI for copyright format reference.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Aug 2018 11:53:48 +0200

ayatana-ido (0.4.2-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.5. No changes needed.
    + Drop now unneeded B-D on dh-autoreconf. Not required since DH compat
      level 10.
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/upstream/metadata:
    + Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jul 2018 21:55:21 +0200
