=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: ayatana-ido
 Section: libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev (>=2.14.0),
                libgtest-dev,
-               libgtk-3-dev (>= 3.8.2-0ubuntu2),
+               libgtk-3-dev (>= 3.8.2),
                libx11-dev,
                libxi-dev,
                mate-common,
                valac (>= 0.16),
-Standards-Version: 4.1.1
+Standards-Version: 4.2.0
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
-Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/ayatana-ido.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/ayatana-ido.git
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-ido
 
 Package: libayatana-ido3-0.4-0
 Architecture: any
@@ -32,7 +32,8 @@
  This package contains shared libraries to be used by GTK+ 3
  applications.
 
-Package: libayatana-ido3-0.4-dev
+Package: libayatana-ido3-dev
+Provides: libayatana-ido3-0.4-dev
 Section: libdevel
 Architecture: any
 Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),
@@ -42,6 +43,8 @@
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libayatana-ido3-0.4-dev (<< 0.4.3-1~),
+Replaces: libayatana-ido3-0.4-dev (<< 0.4.3-1~),
 Description: Widgets and other objects used for Ayatana Indicators - development files
  Shared library providing extra gtk menu items for display in system
  Ayatana Indicators
