## ayatana-ido 0.4.90

=== debian/changelog ===
ayatana-ido (0.4.90-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
  * debian/libayatana-ido3-0.4-0.symbols:
    + Add *Build-Depends-Package: meta data field.
  * debian/rules:
    + Move --fail-missing parameter over from dh_install to dh_missing.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Dec 2019 21:49:36 +0100
