=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: ayatana-ido
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev (>=2.14.0),
                libgtest-dev,
-               libgtk-3-dev (>= 3.8.2),
+               libgtk-3-dev (>= 3.8.2-0ubuntu2),
                libx11-dev,
                libxi-dev,
                mate-common,
                valac (>= 0.16),
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-ido
