## ayatana-ido 0.8.0

=== debian/changelog ===
ayatana-ido (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update file.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 08:31:51 +0200

ayatana-ido (0.5.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #957031).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jul 2020 06:56:11 +0200
