=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
@@ -15,7 +15,7 @@
                libxi-dev,
                mate-common,
                valac (>= 0.16),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
