## ayatana-ido 0.8.1

=== debian/changelog ===
ayatana-ido (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Nov 2020 17:36:06 +0100
