## ayatana-ido 0.8.2

=== debian/changelog ===
ayatana-ido (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Apply wrap-and-sort -a -t.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update symbols.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Feb 2021 16:55:19 +0100
