=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libxi-dev,
                mate-common,
                valac (>= 0.16),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
@@ -23,7 +23,8 @@
 
 Package: libayatana-ido3-0.4-0
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Multi-Arch: same
 Description: Widgets and other objects used for Ayatana Indicators
  Shared library providing extra gtk menu items for display in system
@@ -33,7 +34,7 @@
  applications.
 
 Package: libayatana-ido3-dev
-Provides: libayatana-ido3-0.4-dev
+Provides: libayatana-ido3-0.4-dev,
 Section: libdevel
 Architecture: any
 Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),
