=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,10 @@
 
 override_dh_install:
 	find debian/tmp/usr/lib -name *.la -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
