## ayatana-ido 0.9.1

=== debian/changelog ===
ayatana-ido (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 14:39:20 +0100

ayatana-ido (0.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix a11y in removable menu item. (Closes: #988680).
  * debian/:
    + Adjust to build system switch (autotools -> CMake).
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Add one more symbol introduced in 0.9.0.
  * debian/control:
    + Ayatana IDO 0.9.0 will break system indicators before 0.9.0.
      Expressing this via B: relation for all known system indicators in
      Debian.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Strip trailing ',' in Provides: field.
    + Fix lib:pkg name in LONG_DESCRIPTION of gir:pkg.
  * debian/rules:
    + Install NEWS file as upstream ChangeLog.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Nov 2021 14:11:03 +0100

ayatana-ido (0.8.2-2) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-Browser: field's URL. (Closes: #982638). Thanks to Sebastien
      Bacher for spotting this.
  * debian/copyright:
    + Fix Upstream-Contact: field name (typo). (Closes: #987812).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Jun 2021 12:57:46 +0200
