=== debian/control ===
--- 
+++ 
@@ -3,29 +3,41 @@
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake,
+               cmake-extras,
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
+               xauth,
+               xvfb,
                libgirepository1.0-dev,
                libglib2.0-dev (>=2.14.0),
                libgtest-dev,
                libgtk-3-dev (>= 3.8.2-0ubuntu2),
                libx11-dev,
                libxi-dev,
-               mate-common,
                valac (>= 0.16),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-ido
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-ido
 
 Package: libayatana-ido3-0.4-0
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Multi-Arch: same
+Breaks:
+ ayatana-indicator-datetime (<< 0.9.0),
+ ayatana-indicator-display (<< 0.9.0),
+ ayatana-indicator-keyboard (<< 0.9.0),
+ ayatana-indicator-messages (<< 0.9.0),
+ ayatana-indicator-notifications (<< 0.9.0),
+ ayatana-indicator-power (<< 0.9.0),
+ ayatana-indicator-session (<< 0.9.0),
+ ayatana-indicator-sound (<< 0.9.0),
 Description: Widgets and other objects used for Ayatana Indicators
  Shared library providing extra gtk menu items for display in system
  Ayatana Indicators.
@@ -34,7 +46,7 @@
  applications.
 
 Package: libayatana-ido3-dev
-Provides: libayatana-ido3-0.4-dev,
+Provides: libayatana-ido3-0.4-dev
 Section: libdevel
 Architecture: any
 Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),
@@ -67,4 +79,4 @@
  Ayatana Indicators.
  .
  This package can be used by other packages using the GIRepository format
- to generate dynamic bindings for libayatana-ido3-0.1.
+ to generate dynamic bindings for libayatana-ido3-0.4-0.
