## ayatana-ido 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,7 @@
 # Set global variables
 
 include(GNUInstallDirs)
-set(PROJECT_VERSION "0.9.1")
+set(PROJECT_VERSION "0.9.2")
 
 # Make everything
