=== debian/changelog ===
ayatana-ido (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Jun 2022 13:05:30 +0200
