=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libx11-dev,
                libxi-dev,
                valac (>= 0.16),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
