## ayatana-ido 0.9.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # Options
 
-option(ENABLE_TESTS "Enable all tests and checks" OFF)
+option(ENABLE_TESTS "Enable all tests and checks" ON)
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 
@@ -47,7 +47,7 @@
 # Set global variables
 
 include(GNUInstallDirs)
-set(PROJECT_VERSION "0.9.2")
+set(PROJECT_VERSION "0.9.3")
 
 # Make everything
