=== debian/changelog ===
ayatana-ido (0.9.3-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update symbols.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 10:21:19 +0100
