=== debian/control ===
--- 
+++ 
@@ -6,19 +6,18 @@
 Build-Depends: cmake,
                cmake-extras,
                debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1.1),
                gobject-introspection,
                gtk-doc-tools,
                xauth,
                xvfb,
                libgirepository1.0-dev,
-               libglib2.0-dev (>=2.14.0),
+               libglib2.0-dev,
                libgtest-dev,
-               libgtk-3-dev (>= 3.8.2-0ubuntu2),
+               libgtk-3-dev,
                libx11-dev,
                libxi-dev,
-               valac (>= 0.16),
-Standards-Version: 4.6.1
+               valac,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
@@ -35,7 +34,6 @@
  ayatana-indicator-keyboard (<< 0.9.0),
  ayatana-indicator-messages (<< 0.9.0),
  ayatana-indicator-notifications (<< 0.9.0),
- ayatana-indicator-power (<< 0.9.0),
  ayatana-indicator-session (<< 0.9.0),
  ayatana-indicator-sound (<< 0.9.0),
 Description: Widgets and other objects used for Ayatana Indicators
@@ -51,8 +49,8 @@
 Architecture: any
 Depends: gir1.2-ayatanaido3-0.4 (= ${binary:Version}),
          libayatana-ido3-0.4-0 (= ${binary:Version}),
-         libglib2.0-dev (>=2.14.0),
-         libgtk-3-dev (>= 3.8.2-0ubuntu2),
+         libglib2.0-dev,
+         libgtk-3-dev,
          pkg-config,
          ${misc:Depends},
          ${shlibs:Depends},
