## ayatana-ido 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # Options
 
-option(ENABLE_TESTS "Enable all tests and checks" ON)
+option(ENABLE_TESTS "Enable all tests and checks" OFF)
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 
@@ -37,6 +37,11 @@
     add_definitions("-Wall")
 endif()
 
+# Thread fix for old CMake
+
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
+
 # Check for prerequisites
 
 set(DEPS glib-2.0>=2.58 gtk+-3.0>=3.24)
@@ -47,7 +52,7 @@
 # Set global variables
 
 include(GNUInstallDirs)
-set(PROJECT_VERSION "0.9.3")
+set(PROJECT_VERSION "0.10.1")
 
 # Make everything
