=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
     idoscalemenuitem.h
     idodetaillabel.h
     idoentrymenuitem.h
+    idolevelmenuitem.h
 )
 
 set(SOURCES
@@ -65,6 +66,7 @@
     idousermenuitem.c
     idosourcemenuitem.c
     idotimeline.c
+    idolevelmenuitem.c
     ${CMAKE_CURRENT_BINARY_DIR}/idotypebuiltins.c
 )
 
@@ -102,9 +104,7 @@
 target_include_directories("ayatana-ido3-0.4" PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
 target_include_directories("ayatana-ido3-0.4" PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
 target_compile_definitions("ayatana-ido3-0.4" PUBLIC G_LOG_DOMAIN="IDO")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
-install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libayatana-ido3-0.4.so.0.0.0" DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
+install(TARGETS "ayatana-ido3-0.4" LIBRARY DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}")
 
 # AyatanaIdo3-0.4.gir
