=== debian/changelog ===
ayatana-ido (0.10.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:28:25 +0000

ayatana-ido (0.10.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:52:50 +0000

ayatana-ido (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Aug 2023 16:53:03 +0200
