=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-ido
 Section: libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
                cmake-extras,
