## ayatana-ido 0.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
 # Set global variables
 
 include(GNUInstallDirs)
-set(PROJECT_VERSION "0.10.1")
+set(PROJECT_VERSION "0.10.2")
 
 # Make everything
