=== debian/changelog ===
ayatana-ido (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Switch from pkg-config to pkg-conf in D: field of dev:pkg.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update and resort copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Apr 2024 15:33:22 +0200
