=== debian/changelog ===
ayatana-ido (0.10.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
  * debian/libayatana-ido3-0.4-0.symbols:
    + Update symbols.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 05 Nov 2024 13:37:23 +0100
