=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-ido
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cmake,
                cmake-extras,
@@ -18,7 +17,7 @@
                libx11-dev,
                libxi-dev,
                valac,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-ido
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-ido.git
@@ -52,7 +51,7 @@
          libayatana-ido3-0.4-0 (= ${binary:Version}),
          libglib2.0-dev,
          libgtk-3-dev,
-         pkg-config,
+         pkgconf,
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libayatana-ido3-0.4-dev (<< 0.4.3-1~),
